from microbit import *
from mb_radio import *
from mb_file import *
from rbt_5 import rbt
from brute_6 import brute

stolen_hash=""
radio.on()
radio.config(length=250, channel=12,power=6,group=1)
disp_clr()
print("Man-in-the-middle attacking...")
while not escape():
  stolen_hash = radio.receive()
  if stolen_hash!= None:
     break
print("Hash:", stolen_hash, "\nstolen")
# Type >>>brute(stolen_hash) in shell
# or >>>rbt[stolen_hash]
# to crack the stolen hash.